<?php
$wp_customize->add_section(
	'footer_options',
	array(
		'priority'       => 1,
		'panel'          => 'blog-starter',
		'title'          => __( 'Footer Options', 'blog-starter' ),
		'capability'     => 'edit_theme_options',
	)
);
$wp_customize->add_setting(
	'footer_column',
	array(
		'transport'            => 'refresh',
		'capability'           => 'edit_theme_options',
		'sanitize_callback'     => 'blog_starter_sanitize_radio',
		'default'     => 'four',
	)
);
$wp_customize->add_control(
	'footer_column',
	array(
		'label'       => __( 'Footer Column', 'blog-starter' ),
		'section'     => 'footer_options',
		'type'        => 'radio',
		'choices' => array(
			'two' => __( '2 Column', 'blog-starter' ),
			'three' => __( '3 Column', 'blog-starter' ),
			'four' => __( '4 Column', 'blog-starter' ),
		),
	)
);

$wp_customize->add_setting( 'pro_footer_options',
    array(
        'default' => '',
        'sanitize_callback' => 'wp_kses_post',
    )
);
$theme_info = '<div class="pro-features"><h2>'.__('Available Options In Pro Version', 'blog-starter').'</h2><ul>';
$theme_info .= '<li>' . __( '2 Different Footer Layouts', 'blog-starter' ) . '</li>';
$theme_info .= '<li>' . __( 'Upload Footer Logo', 'blog-starter' ) . '</li>';
$theme_info .= '<li>' . __( 'Show//Hide Footer Menu', 'blog-starter' ) . '</li>';
$theme_info .= '<li>' . __( 'Show//Hide Footer Social Links', 'blog-starter' ) . '</li><li>';
$theme_info .= sprintf( __( '%1$sClick Here To Download Pro%2$s', 'blog-starter' ),  '<a href="' . esc_url( 'https://theimran.com/themes/wordpress-theme/blog-starter-pro-personal-blog-wordpress-theme/' ) . '" target="_blank">', '</a>' );
$theme_info .= '</li></ul></div>';


$wp_customize->add_control( new Blog_Starter_Note_Control( $wp_customize,
    'pro_footer_options', 
        array(
            'section'     => 'footer_options',
            'description' => $theme_info
        )
    )
);


$wp_customize->add_section(
	'footer_content',
	array(
		'panel'          => 'blog-starter',
		'title'          => __( 'Copyright', 'blog-starter' ),
		'capability'     => 'edit_theme_options',
	)
);
$wp_customize->add_setting(
	'copyright_text',
	array(
		'transport'            => 'refresh', // Options: refresh or postMessage.
		'capability'           => 'edit_theme_options',
		'sanitize_callback'     => 'wp_kses_post',
	)
);
// Control: Name.
$wp_customize->add_control(
	'copyright_text',
	array(
		'label'       => __( 'Copyright Text', 'blog-starter' ),
		'section'     => 'footer_content',
		'type'        => 'textarea',
	)
);



