<?php
/**
 * Header Theme options
 */

$wp_customize->add_section(
	'header_options',
	array(
		'priority'       => 1,
		'panel'          => 'blog-starter',
		'title'          => __( 'Header Options', 'blog-starter' ),
		'capability'     => 'edit_theme_options',
	)
);

$wp_customize->add_setting(
	'header_layout',
	array(
		'default' => 'one',
		'transport'            => 'refresh', // Options: refresh or postMessage.
		'capability'           => 'edit_theme_options',
		'sanitize_callback'    => 'blog_starter_sanitize_radio'
	)
);

$wp_customize->add_control(
	'header_layout',
	array(
		'label'       => __( 'Header Layout', 'blog-starter' ),
		'section'     => 'header_options',
		'type'        => 'radio',
		'choices'  => array(
			'one' => __( 'Header Layout One', 'blog-starter' ),
		),
	)
);

$wp_customize->add_setting(
	'sticky_header',
	array(
		'default' => false,
		'transport'            => 'refresh', // Options: refresh or postMessage.
		'capability'           => 'edit_theme_options',
		'sanitize_callback'    => 'blog_starter_sanitize_checkbox'
	)
);

$wp_customize->add_control(
	'sticky_header',
	array(
		'label'       => __( 'Sticky Header On//Off', 'blog-starter' ),
		'section'     => 'header_options',
		'type'        => 'checkbox',
	)
);


$wp_customize->add_setting( 'pro_header_options',
    array(
        'default' => '',
        'sanitize_callback' => 'wp_kses_post',
    )
);
$theme_info = '<div class="pro-features"><h2>'.__('Available Options In Pro Version', 'blog-starter').'</h2><ul>';
$theme_info .= '<li>' . __( '3 Different Header Layouts', 'blog-starter' ) . '</li>';
$theme_info .= '<li>' . __( 'Show//Hide Options For All Header Elements', 'blog-starter' ) . '</li>';
$theme_info .= '<li>' . __( 'Show//Hide Date', 'blog-starter' ) . '</li>';
$theme_info .= '<li>' . __( 'Show//Hide Social Links', 'blog-starter' ) . '</li>';
$theme_info .= '<li>' . __( 'Show//Hide Search Form', 'blog-starter' ) . '</li>';
$theme_info .= '<li>' . __( 'Show//Hide Toggle Menu Button', 'blog-starter' ) . '</li><li>';
$theme_info .= sprintf( __( '%1$sClick Here To Download Pro%2$s', 'blog-starter' ),  '<a href="' . esc_url( 'https://theimran.com/themes/wordpress-theme/blog-starter-pro-personal-blog-wordpress-theme/' ) . '" target="_blank">', '</a>' );
$theme_info .= '</li></ul></div>';


$wp_customize->add_control( new Blog_Starter_Note_Control( $wp_customize,
    'pro_header_options', 
        array(
            'section'     => 'header_options',
            'description' => $theme_info
        )
    )
);

/**
 * Banner Section
 */
$wp_customize->add_section(
	'banner_customize',
	array(
		'priority'       => 1,
		'panel'          => 'blog-starter',
		'title'          => __( 'Banner Settings', 'blog-starter' ),
		'description'	 => __('Here all options will work only banner section.', 'blog-starter'),
		'capability'     => 'edit_theme_options',
	)
);
$wp_customize->add_setting(
	'header_height',
	array(
		'default' => 120,
		'transport'            => 'refresh', // Options: refresh or postMessage.
		'capability'           => 'edit_theme_options',
		'sanitize_callback'    => 'blog_starter_sanitize_number_absint',
	)
);
$wp_customize->add_control(
	'banner_height',
	array(
		'label'       => __( 'Header Height', 'blog-starter' ),
		'section'     => 'banner_customize',
		'type'        => 'number',
	)
);