<?php
$wp_customize->add_section(
	'post_details',
	array(
		'priority'       => 1,
		'panel'          => 'blog-starter',
		'title'          => __( 'Single Post Page', 'blog-starter' ),
		'capability'     => 'edit_theme_options',
	)
);
$wp_customize->add_setting(
	'single_page_sidebar',
	array(
		'transport'            => 'refresh',
		'capability'           => 'edit_theme_options',
		'sanitize_callback'     => 'blog_starter_sanitize_select',
		'default'     => 'right',
	)
);
$wp_customize->add_control(
	'single_page_sidebar',
	array(
		'label'       => __( 'Single Post Sidebar', 'blog-starter' ),
		'section'     => 'post_details',
		'type'        => 'select',
		'choices'  => array(
			'left'  => __( 'Left Sidebar', 'blog-starter' ),
			'right' => __( 'Right Sidebar', 'blog-starter' ),
			'no' => __( 'No Sidebar', 'blog-starter' ),
		),
	)
);
$wp_customize->add_setting(
	'post_navigation_show',
	array(
		'transport'            => 'refresh',
		'capability'           => 'edit_theme_options',
		'sanitize_callback'     => 'blog_starter_sanitize_checkbox',
		'default'     => true,
	)
);
$wp_customize->add_control(
	'post_navigation_show',
	array(
		'label'       => __( 'Post Navigation Show', 'blog-starter' ),
		'section'     => 'post_details',
		'type'        => 'checkbox',
	)
);


$wp_customize->add_setting( 'pro_post_details_options',
    array(
        'default' => '',
        'sanitize_callback' => 'wp_kses_post',
    )
);


$theme_info = '<div class="pro-features"><h2>'.__('Available Options In Pro Version', 'blog-starter').'</h2><ul>';
$theme_info .= '<li>' . __( 'Show//Hide Author Section', 'blog-starter' ) . '</li>';
$theme_info .= '<li>' . __( 'Show//Hide Related Post Slider Section', 'blog-starter' ) . '</li>';
$theme_info .= '<li>' . __( 'Show//Hide Related Post Section Title', 'blog-starter' ) . '</li><li>';
$theme_info .= sprintf( __( '%1$sClick Here To Download Pro%2$s', 'blog-starter' ),  '<a href="' . esc_url( 'https://theimran.com/themes/wordpress-theme/blog-starter-pro-personal-blog-wordpress-theme/' ) . '" target="_blank">', '</a>' );
$theme_info .= '</li></ul></div>';


$wp_customize->add_control( new Blog_Starter_Note_Control( $wp_customize,
    'pro_post_details_options', 
        array(
            'section'     => 'post_details',
            'description' => $theme_info
        )
    )
);